Subject: [Teas] I-D Action: draft-ietf-teas-yang-path-computation-09.txt

From: [email-masked]
Date: Fri, 12 Jun 2020 09:22:28 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Traffic Engineering Architecture and Signaling WG of the IETF.

        Title           : Yang model for requesting Path Computation
        Authors         : Italo Busi
                          Sergio Belotti
                          Victor Lopez
                          Anurag Sharma
                          Yan Shi
	Filename        : draft-ietf-teas-yang-path-computation-09.txt
	Pages           : 94
	Date            : 2020-06-12

Abstract:
   There are scenarios, typically in a hierarchical SDN context, where
   the topology information provided by a TE network provider may not
   be sufficient for its client to perform end-to-end path computation.
   In these cases the client would need to request the provider to
   calculate some (partial) feasible paths.

   This document defines a YANG data model for an RPC to request path
   computation. This model complements the solution, defined in
   RFCXXXX, to configure a TE Tunnel path in "compute-only" mode.

   [RFC EDITOR NOTE: Please replace RFC XXXX with the RFC number of
   draft-ietf-teas-yang-te once it has been published.

   Moreover this document describes some use cases where a path
   computation request, via YANG-based protocols (e.g., NETCONF or
   RESTCONF), can be needed.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-teas-yang-path-computation/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-teas-yang-path-computation-09
https://datatracker.ietf.org/doc/html/draft-ietf-teas-yang-path-computation-09

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-teas-yang-path-computation-09

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Belotti, Sergio (Nokia - IT/Vimercate)" <[email-masked]>
Date: Mon, 15 Jun 2020 15:23:48 +0000

Dear TEASers,

we have updated the path computation RPC model to:
- align with the latest version of the TE tunnel YANG model (https://tools.ietf.org/html/draft-ietf-teas-yang-te-23)
- add support of path computation for protected paths (as discussed in IETF 104)
- add support of path computation for bidirectional paths
- returning errors in case path computation fails
- add support for multi-layer path computation

The changes to the YANG model are described in section 5.3 and 5.4 of the 09 version of the draft.

We think that with these changes the model is now ready for YANG doctor review, however due to the significant amount of changes we would appreciate a review from
the WG before asking YANG doctor review.

Thanks
Italo and Sergio (as editors)

-----Original Message-----
From: I-D-Announce <[email-masked]> On Behalf Of [email-masked]
Sent: Friday, June 12, 2020 6:22 PM
To: [email-masked]
Cc: [email-masked]
Subject: I-D Action: draft-ietf-teas-yang-path-computation-09.txt

Abstract:

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

_______________________________________________
I-D-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/i-d-announce
Internet-Draft directories: http://www.ietf.org/shadow.html or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: tom petch <[email-masked]>
Date: Mon, 15 Jun 2020 15:31:28 +0000

From: Teas <[email-masked]> on behalf of Belotti, Sergio (Nokia - IT/Vimercate) <[email-masked]>
Sent: 15 June 2020 16:23

Dear TEASers,

<tp>
teas-yang-te is no more - it is an RFC:-)  I have yet to check whether or not it is the same.  I will look again at your I-D but may be not this week.

Tom Petch
(not a YANG Doctor)

Thanks

-----Original Message-----
From: I-D-Announce <[email-masked]> On Behalf Of [email-masked]
Sent: Friday, June 12, 2020 6:22 PM
To: [email-masked]
Cc: [email-masked]
Subject: I-D Action: draft-ietf-teas-yang-path-computation-09.txt

Abstract:

_______________________________________________
Teas mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/teas

---

From: "Belotti, Sergio (Nokia - IT/Vimercate)" <[email-masked]>
Date: Mon, 15 Jun 2020 16:02:47 +0000

-----Original Message-----
From: tom petch <[email-masked]> 
Sent: Monday, June 15, 2020 5:31 PM
To: Belotti, Sergio (Nokia - IT/Vimercate) <[email-masked]>; [email-masked]
Cc: TEAS WG Chairs <[email-masked]>; Italo Busi <[email-masked]>
Subject: Re: I-D Action: draft-ietf-teas-yang-path-computation-09.txt

Dear TEASers,

<tp>
teas-yang-te is no more - it is an RFC:-) 

<Sergio> Hi Tom, that is our hope asap, but now for the moment. Maybe you were referring to te-types , now RFC 8776 ?
 
I have yet to check whether or not it is the same.  I will look again at your I-D but may be not this week.

<Sergio> Thanks

Tom Petch
(not a YANG Doctor)

We think that with these changes the model is now ready for YANG doctor review, however due to the significant amount of changes we would appreciate a review from the WG before asking YANG doctor review.

Thanks

-----Original Message-----
From: I-D-Announce <[email-masked]> On Behalf Of [email-masked]
Sent: Friday, June 12, 2020 6:22 PM
To: [email-masked]
Cc: [email-masked]
Subject: I-D Action: draft-ietf-teas-yang-path-computation-09.txt

Abstract:

---

From: tom petch <[email-masked]>
Date: Mon, 15 Jun 2020 16:24:40 +0000

From: Belotti, Sergio (Nokia - IT/Vimercate) <[email-masked]>
Sent: 15 June 2020 17:02
To: tom petch
Cc: TEAS WG Chairs; Italo Busi; [email-masked]
Subject: RE: I-D Action: draft-ietf-teas-yang-path-computation-09.txt

-----Original Message-----
From: tom petch <[email-masked]>
Sent: Monday, June 15, 2020 5:31 PM
To: Belotti, Sergio (Nokia - IT/Vimercate) <[email-masked]>; [email-masked]
Cc: TEAS WG Chairs <[email-masked]>; Italo Busi <[email-masked]>
Subject: Re: I-D Action: draft-ietf-teas-yang-path-computation-09.txt

Dear TEASers,

<tp>

<tp>
Whoops, you are correct and I am wrong,  mixing the two and you have the correct reference in the I-D.  Sorry about that

Tom Petch,

<Sergio> Thanks

Tom Petch
(not a YANG Doctor)

Thanks

-----Original Message-----
From: I-D-Announce <[email-masked]> On Behalf Of [email-masked]
Sent: Friday, June 12, 2020 6:22 PM
To: [email-masked]
Cc: [email-masked]
Subject: I-D Action: draft-ietf-teas-yang-path-computation-09.txt

Abstract:

---

From: tom petch <[email-masked]>
Date: Tue, 16 Jun 2020 08:42:09 +0000

<tp>
Try again.

I had a look a the I-D (big, complicated:-) and see a number of open issues, require-instance, RPC reference, waiting for a te-types update!

What do you plan to do about those? 

 I have not tracked the progress of this I-D and would like it to be +-stable before investing too  much time in it (having wasted an ocean on the unstable teas-te:-(

Tom Petch.

Thanks

-----Original Message-----
From: I-D-Announce <[email-masked]> On Behalf Of [email-masked]
Sent: Friday, June 12, 2020 6:22 PM
To: [email-masked]
Cc: [email-masked]
Subject: I-D Action: draft-ietf-teas-yang-path-computation-09.txt

Abstract: